# ImportScheduleTransactionsController_Upload_Put

Schedule transaction import upload.

`PUT /api/v1/ImportScheduleTransactions/Upload`

**API:** Excise Platform API
**Tag:** ImportScheduleTransactionsController
**API Version:** v1
**Base URL:** https://excise.avalara.com
**Accepts:** `application/json`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/excise/api/methods/ImportScheduleTransactionsController/ImportScheduleTransactionsController_Upload_Put/

## Description

Accepts a multipart file upload containing schedule transaction data. The uploaded file is stored
and a scheduled task is created to process the import asynchronously.
            
Monitor the System Activity Logs for processing status and results.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-company-id` | integer | header | Yes | Company ID that owns the data. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see Client Headers. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns a response indicating the result of the upload operation. |  |

## Example Request

```bash
curl -X PUT "https://excise.avalara.com/api/v1/ImportScheduleTransactions/Upload" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```